Manifest-Version: 1.0
Bnd-LastModified: 1754080341184
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Friendly URL Service
Bundle-SymbolicName: com.liferay.friendly.url.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.66.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.change.tracking.spi.reference;version="1.0
 ",com.liferay.change.tracking.spi.reference.builder;version="1.0",com
 .liferay.counter.kernel.service;version="2.2",com.liferay.expando.ker
 nel.model;version="6.0",com.liferay.expando.kernel.util;version="5.0"
 ,com.liferay.exportimport.data.handler.base;version="1.0",com.liferay
 .exportimport.kernel.lar;version="5.0",com.liferay.exportimport.kerne
 l.xstream;version="2.0",com.liferay.exportimport.staged.model.reposit
 ory;version="1.1",com.liferay.friendly.url.configuration;version="1.0
 ",com.liferay.friendly.url.exception;version="1.0",com.liferay.friend
 ly.url.model;version="3.1",com.liferay.friendly.url.service;version="
 2.2",com.liferay.friendly.url.service.persistence;version="4.1",com.l
 iferay.friendly.url.util.comparator;version="1.1",com.liferay.normali
 zer;version="1.0",com.liferay.osgi.util.service;version="3.1",com.lif
 eray.petra.function;version="1.5",com.liferay.petra.lang;version="1.3
 ",com.liferay.petra.nio;version="1.0",com.liferay.petra.reflect;versi
 on="1.5",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.sq
 l.dsl.expression;version="2.0",com.liferay.petra.sql.dsl.query;versio
 n="2.0",com.liferay.petra.string;version="1.7",com.liferay.portal.aop
 ;version="1.0",com.liferay.portal.configuration.persistence.upgrade;v
 ersion="1.0",com.liferay.portal.kernel.bean;version="10.1",com.lifera
 y.portal.kernel.change.tracking;version="2.2",com.liferay.portal.kern
 el.configuration;version="7.0",com.liferay.portal.kernel.dao.db;versi
 on="14.0",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.lifera
 y.portal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.encr
 yptor;version="1.0",com.liferay.portal.kernel.exception;version="13.3
 ",com.liferay.portal.kernel.language;version="11.0",com.liferay.porta
 l.kernel.log;version="8.0",com.liferay.portal.kernel.login;version="1
 .0",com.liferay.portal.kernel.model;version="30.4",com.liferay.portal
 .kernel.model.change.tracking;version="3.0",com.liferay.portal.kernel
 .model.impl;version="7.4",com.liferay.portal.kernel.module.configurat
 ion;version="2.1",com.liferay.portal.kernel.module.framework.service;
 version="1.0",com.liferay.portal.kernel.portlet;version="26.0",com.li
 feray.portal.kernel.search;version="20.2",com.liferay.portal.kernel.s
 ecurity.auth;version="6.1",com.liferay.portal.kernel.security.permiss
 ion;version="7.0",com.liferay.portal.kernel.service;version="25.1",co
 m.liferay.portal.kernel.service.change.tracking;version="1.0",com.lif
 eray.portal.kernel.service.permission;version="5.0",com.liferay.porta
 l.kernel.service.persistence;version="22.1",com.liferay.portal.kernel
 .service.persistence.change.tracking;version="1.4",com.liferay.portal
 .kernel.service.persistence.change.tracking.helper;version="1.1",com.
 liferay.portal.kernel.service.persistence.impl;version="4.1",com.life
 ray.portal.kernel.servlet;version="12.1",com.liferay.portal.kernel.st
 ruts;version="8.0",com.liferay.portal.kernel.transaction;version="8.1
 ",com.liferay.portal.kernel.upgrade;version="21.2",com.liferay.portal
 .kernel.util;version="63.0",com.liferay.portal.kernel.uuid;version="6
 .2",com.liferay.portal.kernel.xml;version="7.1",com.liferay.portal.up
 grade.registry;version="5.0",com.liferay.portal.util;version="52.0",c
 om.liferay.portlet;version="9.0",com.liferay.redirect.provider;versio
 n="4.0",com.liferay.redirect.tracker;version="1.0",com.liferay.site.m
 odel;version="3.1",com.liferay.site.service;version="1.6",com.liferay
 .staging.model.listener;version="1.0",com.liferay.xstream.configurato
 r;version="2.0",javax.servlet,javax.servlet.http,javax.sql
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Friendly Url
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.4.0
Liferay-Service: true
Private-Package: com.liferay.friendly.url.internal.change.tracking.spi
 .reference,com.liferay.friendly.url.internal.configuration,com.lifera
 y.friendly.url.internal.exportimport.data.handler,com.liferay.friendl
 y.url.internal.exportimport.lar,com.liferay.friendly.url.internal.exp
 ortimport.staged.model.repository,com.liferay.friendly.url.internal.m
 odel.listener,com.liferay.friendly.url.internal.servlet,com.liferay.f
 riendly.url.internal.upgrade.registry,com.liferay.friendly.url.intern
 al.upgrade.v2_0_0.util,com.liferay.friendly.url.internal.upgrade.v3_0
 _0,com.liferay.friendly.url.internal.util,com.liferay.friendly.url.in
 ternal.xstream.configurator,com.liferay.friendly.url.model.impl,com.l
 iferay.friendly.url.service.base,com.liferay.friendly.url.service.imp
 l,com.liferay.friendly.url.service.persistence.impl,com.liferay.frien
 dly.url.service.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.spi.reference.TableReferenceDefinition";uses:="com.l
 iferay.change.tracking.spi.reference",osgi.service;objectClass:List<S
 tring>="com.liferay.exportimport.kernel.lar.StagedModelDataHandler";u
 ses:="com.liferay.exportimport.kernel.lar",osgi.service;objectClass:L
 ist<String>="com.liferay.exportimport.staged.model.repository.StagedM
 odelRepository";uses:="com.liferay.exportimport.staged.model.reposito
 ry",osgi.service;objectClass:List<String>="com.liferay.friendly.url.c
 onfiguration.FriendlyURLRedirectionConfigurationProvider";uses:="com.
 liferay.friendly.url.configuration",osgi.service;objectClass:List<Str
 ing>="com.liferay.friendly.url.service.persistence.FriendlyURLEntryLo
 calizationPersistence";uses:="com.liferay.friendly.url.service.persis
 tence",osgi.service;objectClass:List<String>="com.liferay.friendly.ur
 l.service.persistence.FriendlyURLEntryMappingPersistence";uses:="com.
 liferay.friendly.url.service.persistence",osgi.service;objectClass:Li
 st<String>="com.liferay.friendly.url.service.persistence.FriendlyURLE
 ntryPersistence";uses:="com.liferay.friendly.url.service.persistence"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.aop.AopSer
 vice";uses:="com.liferay.portal.aop",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="co
 m.liferay.portal.kernel.dao.orm",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.model.ModelListener";uses:="com.liferay.
 portal.kernel.model",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.util.FriendlyURLNormalizer";uses:="com.liferay.porta
 l.kernel.util",osgi.service;objectClass:List<String>="com.liferay.por
 tal.upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.porta
 l.upgrade.registry",osgi.service;objectClass:List<String>="com.lifera
 y.xstream.configurator.XStreamConfigurator";uses:="com.liferay.xstrea
 m.configurator",osgi.service;objectClass:List<String>="javax.servlet.
 Servlet";uses:="javax.servlet",osgi.service;objectClass:List<String>=
 "com.liferay.friendly.url.service.FriendlyURLEntryLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cou
 nter.kernel.service.CounterLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.exportimport.staged.model.repos
 itory.StagedModelRepository)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.exportimport.staged.model.repository.Staged
 ModelRepositoryHelper)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.friendly.url.configuration.FriendlyURLRedirection
 ConfigurationProvider)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.friendly.url.service.FriendlyURLEntryLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.f
 riendly.url.service.persistence.FriendlyURLEntryLocalizationPersisten
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .friendly.url.service.persistence.FriendlyURLEntryMappingPersistence)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.fr
 iendly.url.service.persistence.FriendlyURLEntryPersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.normalizer.N
 ormalizer)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.configuration.persistence.upgrade.ConfigurationUpgrade
 StepFactory)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.configuration.Configuration)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.dao.o
 rm.EntityCache)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.dao.orm.FinderCache)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.Se
 ssionFactory)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.encryptor.Encryptor)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.language.Lan
 guage)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.module.configuration.ConfigurationProvider)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.ClassNameLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.LayoutFriendlyURLLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.LayoutLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.LayoutService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.UserLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.service.persistence.change.track
 ing.helper.CTPersistenceHelper)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.servlet.InactiveRequestHan
 dler)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.util.FriendlyURLNormalizer)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.util.Localiza
 tion)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.util.Portal)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.uuid.PortalUUID)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.site.service.S
 iteFriendlyURLLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.staging.model.listener.StagingModelListener)
 ";effective:=active,osgi.service;filter:="(objectClass=javax.sql.Data
 Source)";effective:=active,osgi.extender;filter:="(&(osgi.extender=os
 gi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi
 .contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=
 3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.friendly.url.internal.change.t
 racking.spi.reference.FriendlyURLEntryLocalizationTableReferenceDefin
 ition.xml,OSGI-INF/com.liferay.friendly.url.internal.change.tracking.
 spi.reference.FriendlyURLEntryMappingTableReferenceDefinition.xml,OSG
 I-INF/com.liferay.friendly.url.internal.change.tracking.spi.reference
 .FriendlyURLEntryTableReferenceDefinition.xml,OSGI-INF/com.liferay.fr
 iendly.url.internal.configuration.FriendlyURLRedirectionConfiguration
 ProviderImpl.xml,OSGI-INF/com.liferay.friendly.url.internal.exportimp
 ort.data.handler.FriendlyURLEntryStagedModelDataHandler.xml,OSGI-INF/
 com.liferay.friendly.url.internal.exportimport.staged.model.repositor
 y.FriendlyURLEntryStagedModelRepository.xml,OSGI-INF/com.liferay.frie
 ndly.url.internal.model.listener.FriendlyURLEntryLocalizationModelLis
 tener.xml,OSGI-INF/com.liferay.friendly.url.internal.model.listener.F
 riendlyURLEntryStagingModelListener.xml,OSGI-INF/com.liferay.friendly
 .url.internal.servlet.PrivateGroupFriendlyURLServlet.xml,OSGI-INF/com
 .liferay.friendly.url.internal.servlet.PrivateUserFriendlyURLServlet.
 xml,OSGI-INF/com.liferay.friendly.url.internal.servlet.PublicFriendly
 URLServlet.xml,OSGI-INF/com.liferay.friendly.url.internal.upgrade.reg
 istry.FriendlyURLServiceUpgradeStepRegistrator.xml,OSGI-INF/com.lifer
 ay.friendly.url.internal.util.FriendlyURLNormalizerImpl.xml,OSGI-INF/
 com.liferay.friendly.url.internal.xstream.configurator.FriendlyURLEnt
 ryXStreamConfigurator.xml,OSGI-INF/com.liferay.friendly.url.service.i
 mpl.FriendlyURLEntryLocalServiceImpl.xml,OSGI-INF/com.liferay.friendl
 y.url.service.impl.FriendlyURLEntryLocalizationCTServiceImpl.xml,OSGI
 -INF/com.liferay.friendly.url.service.impl.FriendlyURLEntryMappingCTS
 erviceImpl.xml,OSGI-INF/com.liferay.friendly.url.service.persistence.
 impl.FriendlyURLEntryLocalizationModelArgumentsResolver.xml,OSGI-INF/
 com.liferay.friendly.url.service.persistence.impl.FriendlyURLEntryLoc
 alizationPersistenceImpl.xml,OSGI-INF/com.liferay.friendly.url.servic
 e.persistence.impl.FriendlyURLEntryMappingModelArgumentsResolver.xml,
 OSGI-INF/com.liferay.friendly.url.service.persistence.impl.FriendlyUR
 LEntryMappingPersistenceImpl.xml,OSGI-INF/com.liferay.friendly.url.se
 rvice.persistence.impl.FriendlyURLEntryModelArgumentsResolver.xml,OSG
 I-INF/com.liferay.friendly.url.service.persistence.impl.FriendlyURLEn
 tryPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

